Subject: Re: bug#17482: args-out-of-range when visiting foo.todo

From: Stefan Monnier <[email-masked]>
Date: Tue, 13 May 2014 15:40:46 -0400

> -(add-to-list 'auto-mode-alist '("\\.todo\\'" . todo-mode))
> +(add-to-list 'auto-mode-alist '("\\.todo\\'" . todo-maybe-todo-mode))

I don't think it's really an improvement.

The better solution is to change todo-mode so that it doesn't burp when
used in a file that doesn't follow the expected conventions of
todo-mode.  Make it fail more gracefully.

        Stefan